ALDEx2 error return code -9

Hi!

I am trying to run ALDEx2 on my data:

qiime aldex2 aldex2 \
 --i-table dada2-table.qza \
 --m-metadata-file sample-metadata.tsv \
 --m-metadata-column Primers \
 --output-dir aldex-output

I get this error message

Plugin error from aldex2:

An error was encountered while running ALDEx2 in R (return code -9), please inspect stdout and stderr to learn more.

Debug info has been saved to /tmp/qiime2-q2cli-err-pidvbfvo.log

Below is the output in the log file. I’m having difficulty understanding exactly what is going wrong. Can someone help me, please?

I have looked at the lines in the code that are mentioned in the log file, but I’m having difficulty understanding what’s wrong. Maybe something to do with the metadata file?

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_aldex2.R /tmp/tmposdhko4w/input.tsv.biom /tmp/tmposdhko4w/input.map.txt Primers 128 t all /tmp/tmposdhko4w/output.summary.txt

R version 3.5.1 (2018-07-02)
[1] “aldex.clr: generating Monte-Carlo instances and clr values”
[1] “operating in serial mode”
[1] “computing center with all features”
[1] “aldex.ttest: doing t-test”
[1] “running tests for each MC instance:”
|------------(25%)----------(50%)----------(75%)----------|
[1] “aldex.effect: calculating effect sizes”
[1] “operating in serial mode”
Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 59, in aldex2
run_commands([cmd])
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 21, in run_commands
subprocess.run(cmd, check=True)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/subprocess.py”, line 418, in run
output=stdout, stderr=stderr)
subprocess.CalledProcessError: Command ‘[‘run_aldex2.R’, ‘/tmp/tmposdhko4w/input.tsv.biom’, ‘/tmp/tmposdhko4w/input.map.txt’, ‘Primers’, ‘128’, ‘t’, ‘all’, ‘/tmp/tmposdhko4w/output.summary.txt’]’ died with <Signals.SIGKILL: 9>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2cli/commands.py”, line 328, in call
results = action(**arguments)
File “</home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/decorator.py:decorator-gen-477>”, line 2, in aldex2
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/qiime2/miniconda/envs/qiime2-2020.2/lib/python3.6/site-packages/q2_aldex2/_method.py”, line 63, in aldex2
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running ALDEx2 in R (return code -9), please inspect stdout and stderr to learn more.

Hi @asajoh,
return code -9 is usually a memory error… so I think you are running out of memory and crashing! Try running the job on a more powerful machine, or filter your feature table to remove rare ASVs/OTUs before running q2-aldex2. You can search the forum archive to see how others have addressed similar issues with ANCOM and q2-gneiss, which have pretty similar concerns and requirements.

Good luck!

Thanks! I actually tried on a different computer and you’re absolutely right. It was a memory problem. I had suspected that maybe was that because people seem to encounter this error with DADA2 as well.

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.